Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceGrid::Query`

## Overview

    interface Query

The IceGrid query interface. This interface is accessible to Ice clients who wish to lookup objects.

### Operation Index

`findAllObjectsByType`

  Find all the objects with the given type.

`findObjectById`

  Find an object by identity.

`findObjectByType`

  Find an object by type.

`findObjectByTypeOnLeastLoadedNode`

  Find an object by type on the least loaded node.

## `findAllObjectsByType`

    ::Ice::ObjectProxySeq findAllObjectsByType(string type);

Find all the objects with the given type.

### Parameters

`type`

  The object type.

### Return Value

The proxies or an empty sequence if no such objects have been found.

## `findObjectById`

    Object* findObjectById(::Ice::Identity id);

Find an object by identity.

### Parameters

`id`

  The identity.

### Return Value

The proxy or null if no such object has been found.

## `findObjectByType`

    Object* findObjectByType(string type);

Find an object by type. If there's several objects registered for the given type, the object will be randomly selected.

### Parameters

`type`

  The object type.

### Return Value

The proxy or null if no such object has been found.

## `findObjectByTypeOnLeastLoadedNode`

    Object* findObjectByTypeOnLeastLoadedNode(string type,
        LoadSample sample);

Find an object by type on the least loaded node. If the IceGrid registry can't figure out the node that hosts the object (e.g.: if the object was registered with a direct proxy), the registry assumes the object is hosted on a node which has a load average of 1.0.

### Parameters

`type`

  The object type.

### Return Value

The proxy or null if no such object has been found.

<<< Previous | Home | Next >>>
`IceGrid::PropertyDescriptor` | Up | `IceGrid::RandomLoadBalancingPolicy`